Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modelling
Class PheromoneUserAgent

    java.lang.Object
      sema.Element
          sema.Agent
              modelling.PheromoneUserAgent

All Implemented Interfaces:
  java.lang.Comparable

public class PheromoneUserAgent
extends Agent

Agent able to detect and fallow pheromonae.

Nested Class Summary

Nested classes inherited from class sema.Agent
`Agent.Action`

Nested classes inherited from class sema.Element
`Element.ElementEvent`

Field Summary

Fields inherited from class sema.Element
`id, world`

Constructor Summary
`PheromoneUserAgent(World world, Area area, float delay, java.awt.Image image, java.awt.Image pheromoneImage)` Creates a new user of pheromona.

Method Summary
`void` | `letPheromone(java.lang.String contents, float during, Selector selector)` Secrets a pheromone at the place of the same place than the agent with the given contents and during.

Methods inherited from class sema.Agent
`acceptAction, getDelay, registerAction, setDelay, unregisterAction`

Methods inherited from class sema.Element
`canTake, compareTo, death, draw, getArea, getDrawingPriority, getHeight, getIcon, getImage, getKind, getName, getProperties, highlight, highlight, isMarked, kill, setDrawingPriority, setHeight, setKind, setMarked, setProperties, toString, union`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PheromoneUserAgent

    public PheromoneUserAgent(World world,
                              Area area,
                              float delay,
                              java.awt.Image image,
                              java.awt.Image pheromoneImage)

  Creates a new user of pheromona.

Method Detail

### letPheromone

    public void letPheromone(java.lang.String contents,
                             float during,
                             Selector selector)

  Secrets a pheromone at the place of the same place than the agent with the given contents and during.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD